package com.ruoyi.mapper;

import com.ruoyi.domain.Book;
import com.ruoyi.domain.Sample;
import com.ruoyi.domain.Task;
import com.ruoyi.domain.vo.*;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface StatisticsHomeMapper {
    // 数量统计
    public QuantityStatisticsVO selectQuantityStatistics(QuantityStatisticsVO quantityStatisticsHome);

    // 标准类别统计
    public List<StandardCategoryStatisticsVO> selectStandardCategoryStatistics(Sample t1);

    // 任务保密等级统计
    public List<ConfidentialityLevelProportionVO> selectConfidentialityLevelStatistics();

    // 体系审查任务通过数量
    public InspectionItemPassedNumVO selectInspectionItemPassedNum(Sample s);

    // 参与任务情况统计
    public List<TaskParticipationStatisticsVO> selectTaskParticipationStatistics(Sample s);

}
