package com.ruoyi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.domain.ResultFileRelation;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ResultFileRelationMapper extends BaseMapper<ResultFileRelation> {

    List<ResultFileRelation> findByResultId(@Param("resultId") Long resultId);

    //删除结果文件关系表中数据
    void updateByFileId(Long id);
}
